import { Lottie as LottieWeb } from "./lottieweb";
import { Lottie as LottieMp } from "./lottiemp";
var implementation;
if (process.env.TARO_ENV === 'h5') {
    // @ts-ignore
    implementation = LottieWeb;
} else if (process.env.TARO_ENV === 'weapp' || process.env.TARO_ENV === 'jd') {
    // @ts-ignore
    implementation = LottieMp;
} else {
    // throw new Error(`不支持的 TARO_ENV: ${process.env.TARO_ENV}`)
    implementation = function(props) {
        return props.children;
    };
}
var Lottie = implementation;
export default Lottie;
